﻿@import url('https://fonts.googleapis.com/css?family=Lato:400,700&display=swap');
@import url('https://fonts.googleapis.com/css?family=Roboto:400,700&display=swap');

.claro .dijitTabContainerTop-tabs,
header {
    font-family: "Lato";
}

body.claro {
    font-family: "Roboto";
    font-size: 0.875rem;
    color: #222D3F;
    background: #ededef !important
}

select,
input[type="text"], input[type="password"],
.claro .dijitTabChecked .dijitTabContent {
    color: #222D3F;
}

/*DEFAULTS*/
.container {
    padding: 0 30px;
    max-width: 1480px;
    width:100%;
}

* {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    -o-box-sizing: border-box;
    box-sizing: border-box;
}
h1 {
    font-size: 1.5rem;
    color: #222D3F;
    position: relative;
    display: inline-block;
    padding-right: 20px;
    margin: 0 !important;
    font-weight: bold;
    border-bottom: 0;
    margin-bottom: 0.5rem !important;
}

    h1:after {
        content: "";
        display: inline-block;
        margin-left: 10px;
        height: 3px;
        width: 12px;
        background-color: #c91019;
    }

.ox-auto {
    overflow: auto;
    max-width: 100%;
}

select,
input[type="text"], input[type="password"] {
    border: 1px solid rgba(0, 0, 0, 0.1);
    padding: 0 10px;
    height: 38px;
    border-radius: 4px;
    box-shadow: none;
}
select {
    background-image: url("data:image/svg+xml,%3Csvg aria-hidden='true' focusable='false' data-prefix='far' data-icon='chevron-down' class='svg-inline--fa fa-chevron-down fa-w-14' role='img' xmlns='http://www.w3.org/2000/svg' viewBox='0 0 448 512'%3E%3Cpath fill='currentColor' d='M441.9 167.3l-19.8-19.8c-4.7-4.7-12.3-4.7-17 0L224 328.2 42.9 147.5c-4.7-4.7-12.3-4.7-17 0L6.1 167.3c-4.7 4.7-4.7 12.3 0 17l209.4 209.4c4.7 4.7 12.3 4.7 17 0l209.4-209.4c4.7-4.7 4.7-12.3 0-17z'%3E%3C/path%3E%3C/svg%3E");
    background-position: right 10px center;
    background-repeat: no-repeat;
    background-size: auto 16px;
    padding-right: 35px;
    -webkit-appearance: none;
    -moz-appearance: none;
    -ms-appearance: none;
    appearance: none;
}

a.link-button {
    height: 38px;
    border: 1px solid rgba(0, 0, 0, 0.1);
    border-left: 0;
    background-color: white;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 0 4px 4px 0;
}

.dijitTab .dijitTabContent * {
    outline: none !important;
    box-shadow: none !important;
}
/*NAV*/
header {
    display: flex;
    flex-wrap: wrap;
    background: #c91019;
    padding-bottom: 35px;
}

div.topnav {
    flex: 0 0 300px;
    max-width: 300px;
    background: #a30d14;
    background: linear-gradient(to bottom, #c91019 0%, #a30d14 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(GradientType=0, startColorstr=#c91019, endColorstr=#a30d14);
    padding-left: 15px;
}

    div.topnav .container {
        display: flex;
        flex-wrap: wrap;
        flex-direction: row;
        justify-content: flex-start;
        align-items: center;
        height: 100%;
        padding: 0;
    }

nav.navbar {
    flex-grow: 1;
    flex-basis: 0;
    overflow: hidden;
    margin-right: 0;
    margin-left: 0;
    background: #a30d14;
    background: linear-gradient(to bottom, #c91019 0%, #a30d14 100%);
    filter: progid:DXImageTransform.Microsoft.gradient(GradientType=0, startColorstr=#c91019, endColorstr=#a30d14);
}

    nav.navbar .container {
        display: flex;
        flex-wrap: wrap;
        flex-direction: row;
        justify-content: flex-end;
        align-items: center;
        height: 100%;
        padding: 0;
        margin-right: 0;
    }

        nav.navbar .container ul li a {
            font-size: 1rem;
        }

            nav.navbar .container ul li a.active {
                background: #f4050f;
                background: linear-gradient(to bottom, #f4050f 0%, #c91019 100%);
                filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#f4050f', endColorstr='#c91019',GradientType=0 );
            }

        nav.navbar .container div.uitloggen a {
            float: none;
            border-left: 0;
            font-size: 1rem;
            padding: 0 15px 0 45px;
            background-position: left 22px center;
            padding-right: 25px;
            background-color: transparent !important;
        }

nav.subnav {
    flex: 0 0 100%;
    max-width: 100%;
}

    nav.subnav .container {
        display: flex;
        flex-wrap: wrap;
        flex-direction: row;
        justify-content: flex-end;
        align-items: center;
        height: 100%;
        padding: 0 15px;
    }

        nav.subnav .container ul li a.active:before {
            content: "";
            position: absolute;
            height: 3px;
            background: #F4D842;
            width: 100%;
            bottom: 0;
            width: 100%;
            left: 0;
        }

header nav li a {
    height: 65px;
    display: flex;
    align-items: center;
    color: white;
    padding: 0 15px;
    text-decoration: none;
}

header nav ul li a {
    opacity: 0.8;
    position: relative;
}

    header nav ul li a.active,
    header nav ul li a:hover {
        opacity: 1;
    }

nav ul {
    list-style: none;
    display: flex;
    padding: 0;
    margin: 0;
    justify-content: flex-end;
}

nav.subnav {
    color: #fff;
}

.brand {
    height: 43px;
    margin: 11px 0;
    width: 130px;
    background: url("/Content/images/logo.png") no-repeat center / contain;
}
/*COMPONENTS*/

.dojoxGrid table {
    min-width: 900px;
}
.claro .dojoxGrid {
    overflow: hidden;
}

.claro .dijitDialogTitleBar {
    font-size: 90%;
    color: rgba(0, 0, 0, 0.54);
    background: transparent;
    border-left: 0 solid #f0db00;
    font-size: 12px;
    font-weight: 500;
    text-transform: uppercase;
    padding: 12px 15px;
    background: rgba(0,0,0,0.05);
}
.claro .dijitDialog {
    max-width: 100%;
    top: 50px !important;
    right: 0 !important;
    left: 0 !important;
    margin: auto !important;
}
    .claro .dijitDialog .dijitDialogPaneContent {
        height: auto !important;
        width: auto !important;
        padding: 15px;
    }
        .claro .dijitDialog .dijitDialogPaneContent .dojoxGridView {
            width: 100%!important
        }
i.info {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' aria-hidden='true' focusable='false' data-prefix='fal' data-icon='info-circle' class='svg-inline--fa fa-info-circle fa-w-16' role='img' viewBox='0 0 512 512'%3E%3Cpath fill='%236f6f6f' d='M256 40c118.621 0 216 96.075 216 216 0 119.291-96.61 216-216 216-119.244 0-216-96.562-216-216 0-119.203 96.602-216 216-216m0-32C119.043 8 8 119.083 8 256c0 136.997 111.043 248 248 248s248-111.003 248-248C504 119.083 392.957 8 256 8zm-36 344h12V232h-12c-6.627 0-12-5.373-12-12v-8c0-6.627 5.373-12 12-12h48c6.627 0 12 5.373 12 12v140h12c6.627 0 12 5.373 12 12v8c0 6.627-5.373 12-12 12h-72c-6.627 0-12-5.373-12-12v-8c0-6.627 5.373-12 12-12zm36-240c-17.673 0-32 14.327-32 32s14.327 32 32 32 32-14.327 32-32-14.327-32-32-32z'/%3E%3C/svg%3E");
    background-size: 16px;
    background-position: center;
    width: 16px;
    height: 16px;
    display: block;
}

.mb-1 {
    margin-bottom: 0.35rem;
}
table.display,
table.table {
    margin-bottom: 30px;
}

    .td-header,
    table.display thead th,
    table.table thead th {
        font-size: 90%;
        color: rgba(0, 0, 0, 0.54);
        background: transparent;
        border-left: 0 solid #f0db00;
        font-size: 12px;
        font-weight: 500;
        text-transform: uppercase;
        background: rgba(0,0,0,0.05);
    }

    table.display td,
    table.display th,
    table.table td,
    table.table th {
        border-left: 0;
        border-right: 0;
        border-top: 0;
        border-color: #CDCED0 !important;
        padding: 8px 10px;
    }

.buttons li, input[type="submit"], .btn {
    box-sizing: border-box;
    position: relative;
    float: none !important;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    cursor: pointer;
    outline: 0;
    border: none;
    -webkit-tap-highlight-color: transparent;
    display: inline-block;
    white-space: nowrap;
    text-decoration: none;
    vertical-align: baseline;
    text-align: center;
    min-width: 64px;
    padding: 5px 16px;
    border-radius: 4px;
    overflow: visible;
    transform: translate3d(0,0,0);
    transition: background .4s cubic-bezier(.25,.8,.25,1),box-shadow 280ms cubic-bezier(.4,0,.2,1);
    box-shadow: 0px 1px 1px 0 rgba(0, 0, 0, 0.3) !important;
    color: #222D3F;
    background: #F4D842 !important;
    margin-bottom: 4px;
}


/*CONTENT*/
.dojoxGrid,
.tabcontainer_details,
.kolom_content {
    width: 100% !important;
}

.dojoxGrid {
    overflow: auto;
}

#placeholder {
    margin: -35px auto 5px auto;
    width: 100%;
    background: transparent;
}

    #placeholder .container {
        padding: 30px;
        background: #fff;
        box-shadow: 0 2px 15px -1px rgba(0, 0, 0, 0.2), 0 1px 15px 0 rgba(0, 0, 0, 0.14), 0 1px 3px 0 rgba(0, 0, 0, 0.12);
        border-radius: 8px;
    }

.kolom_content {
    margin-top: 0px;
}

.claro .dijitTabPane {
    background: white;
}

.claro .dijitTabContainer {
    padding: 30px;
    margin: -30px -30px 0 -30px;
    width: auto !important;
    border-radius: 8px 8px 0 0;
}

.claro .dijitTabListContainer-top {
    margin: -30px -30px 0 -30px;
    width: auto !important;
    padding: 0 30px;
    height: 55px !important;
    background: #ededef;
    display: flex;
    align-items: flex-end;
}

    .claro .dijitTabListContainer-top .dijitAlignClient {
        position: static !important;
        height: auto !important;
    }

    .claro .dijitTabListContainer-top .dijitTabContainerTop-tabs {
        padding: 0;
    }

.claro .dijitTabContainerTop-tabs .dijitTabChecked .dijitTabInnerDiv {
    background: white !important;
    font-weight: bold;
    color: #4C5563;
    opacity: 1;
}

.claro .dijitTabContainerTop-tabs .dijitTabInnerDiv {
    background: transparent !important;
    height: 45px;
    margin-top: 10px;
    padding-top: 15px;
    padding-left: 15px !important;
    padding-right: 15px !important;
    padding-bottom: 15px !important;
    opacity: 0.8;
    color: #4C5563;
    border-top-left-radius: 6px;
    border-top-right-radius: 6px;
    box-shadow: none;
}

.claro .dijitTabContainerTop-tabs .dijitTabContent {
    padding: 0 !important;
}

/*LOGIN*/
.login {
    position: fixed;
    height: 100vh;
    width: 100vw;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    background: url('/Content/Images/login-bg.jpg');
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 105px 10px;
}

    .login:after {
        content: "";
        position: fixed;
        height: 100vh;
        width: 100vw;
        left: 0;
        right: 0;
        top: 0;
        bottom: 0;
        background: linear-gradient(to bottom, rgba(232, 0, 0, 0.85) 0%, rgba(186, 2, 10, 0.85) 100%);
        z-index: 1;
    }

    .login > * {
        position: relative;
        z-index: 2;
    }

    .login form {
        display: block;
        width: 100%;
        margin: auto;
        max-width: 500px;
        padding: 30px;
        margin: auto;
        -webkit-animation-name: fadeInUp;
        animation-name: fadeInUp;
        -webkit-animation-duration: .8s;
        animation-duration: .8s;
        box-shadow: 0 0 8px 0 rgba(0, 0, 0, 0.2);
        background: white;
        color: rgba(0, 0, 0, 0.87);
        border-radius: 4px;
    }

        .login form .brand {
            background: url(/Content/images/logo-groot.png) no-repeat center / contain;
            position: absolute;
            left: 0;
            right: 0;
            margin: auto;
            top: -105px;
            width: 220px;
            height: 77px;
        }

        .login h1 {
            margin-bottom: 1rem !important;
        }


.validation-summary-errors {
    color: #d40505;
    background: #ffd5d5;
    padding: 10px 13px;
    border-radius: 4px;
    border: 1px solid #d40505;
    font-weight: normal;
    margin: 0 0 15px 0;
}


[type="checkbox"],
[type="radio"] {
    appearance: none;
    -webkit-appearance: none;
    min-width: 14px;
    min-height: 14px;
    max-width: 14px;
    max-height: 14px;
    border: 2px solid white;
    display: inline-block;
    vertical-align: middle;
    background: transparent;
    position: relative;
    top: -2px;
    transition: 0.2s ease all;
    outline: 0 !important;
    -webkit-box-shadow: inset 0px 0px 0px 14px rgba(255,255,255,0.68), 0 0px 0px 2px rgba(201, 16, 25,1);
    margin: 2px 6px 2px 2px;
    -moz-box-shadow: inset 0px 0px 0px 14px rgba(255,255,255,1), 0 0px 0px 2px rgba(201, 16, 25,1);
    box-shadow: inset 0px 0px 0px 14px rgba(255,255,255,1), 0 0px 0px 2px rgba(201, 16, 25,1);
}

[type="radio"] {
    border-radius: 50%;
}

    [type="checkbox"]:checked,
    [type="radio"]:checked {
        -webkit-box-shadow: inset 0px 0px 0px 14px rgba(201, 16, 25,1), 0 0px 0px 2px rgba(201, 16, 25,1);
        -moz-box-shadow: inset 0px 0px 0px 14px rgba(201, 16, 25,1), 0 0px 0px 2px rgba(201, 16, 25,1);
        box-shadow: inset 0px 0px 0px 14px rgba(201, 16, 25,1), 0 0px 0px 2px rgba(201, 16, 25,1);
    }
    [type="checkbox"] + label,
    [type="radio"] + label {
        padding-right: 7px;
    }

.dojoxGridHiddenFocus {
    position: absolute;
    top: -1000px;
    height: 0;
    width: 0;
}

::-moz-selection { /* Code for Firefox */
    color: white;
    background: rgb(201, 16, 25);
}

::selection {
    color: white;
    background: rgb(201, 16, 25);
}
